﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace DontHarmDesktop
{
    public static class Navigation
    {
        private static Frame getMainFrame()
        {
            return (App.Current.MainWindow as MainWindow).MainFrame;
        }

        /// <summary>
        /// Осуществляет переход к странице редактирования услуги
        /// </summary>
        /// <param name="service">Услуга для редактирования</param>
        public static void toServiceEdit(Models.services service)
        {
            getMainFrame().Navigate(new Pages.ServiceEdit(service));
        }

        public static void toServiceAdd()
        {
            getMainFrame().Navigate(new Pages.ServiceAdd());
        }

        public static void toServicesList() 
        {
            getMainFrame().Navigate(new Pages.Services());
        }
    }
}
